set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,7364030591001062));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,99999);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/region_type/org_armbruster_it_apex_multimap_region
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'REGION TYPE'
 ,p_name => 'ORG.ARMBRUSTER-IT.APEX.MULTIMAP-REGION'
 ,p_display_name => 'GoogleMapRegion (IT-STAR)'
 ,p_supported_ui_types => 'DESKTOP'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'/*-------------------------------------------------------'||unistr('\000a')||
' * MultiMarkerMap (Region Plugin). Several functions and '||unistr('\000a')||
' * types for rendering and others'||unistr('\000a')||
' * Version: 1.1 (20.11.2014)'||unistr('\000a')||
' * Author:  S. Armbruster'||unistr('\000a')||
' *-------------------------------------------------------'||unistr('\000a')||
' */'||unistr('\000a')||
''||unistr('\000a')||
'-- Types to handle the GPS coordinates'||unistr('\000a')||
'-- Record for a particular position'||unistr('\000a')||
'type t_rec_gps_pos is record('||unistr('\000a')||
'      name varchar2(200),  '||
' -- Name of the GPS (for tooltip)'||unistr('\000a')||
'      lat  varchar2(50),    -- Latitude'||unistr('\000a')||
'      lng  varchar2(50),    -- Longitute'||unistr('\000a')||
'      img  varchar2(1000)); -- Alternative marker icon e.g. #WORKSPACE_IMAGES#green_flag.jpg'||unistr('\000a')||
'  '||unistr('\000a')||
'-- Collection to hold the GPS positions'||unistr('\000a')||
'type t_tab_gps_pos is table of t_rec_gps_pos index by binary_integer;'||unistr('\000a')||
''||unistr('\000a')||
'/*-------------------------------------------------------'||unistr('\000a')||
' * Converts the base'||
' location for the alignment of the map (parameter 1)'||unistr('\000a')||
' * and the collection with all the marker positions (parameter 2)'||unistr('\000a')||
' * into a JSON string'||unistr('\000a')||
' *-------------------------------------------------------'||unistr('\000a')||
' */'||unistr('\000a')||
'function get_multimarker_json_string(pi_rec_gps_base   in t_rec_gps_pos,'||unistr('\000a')||
'                                     pi_tab_gps_marker in t_tab_gps_pos)'||unistr('\000a')||
'      return varchar2 is'||unistr('\000a')||
'      l_rec_gps t_rec_gps_'||
'pos;'||unistr('\000a')||
'      l_return  varchar2(32000);'||unistr('\000a')||
'      l_row     number := 0;'||unistr('\000a')||
'begin'||unistr('\000a')||
'      if pi_tab_gps_marker.first is null then'||unistr('\000a')||
'        return(null);'||unistr('\000a')||
'      end if;'||unistr('\000a')||
'    '||unistr('\000a')||
'      l_return := ''{"base":['' || chr(10) || ''{'' || ''"name": "'' ||'||unistr('\000a')||
'                  pi_rec_gps_base.name || ''", '' || ''"lat": '' ||'||unistr('\000a')||
'                  pi_rec_gps_base.lat || '', '' || ''"lng": '' ||'||unistr('\000a')||
'                  pi_rec_gps_base.lng || ''}'' || '||
''']},'' || chr(10);'||unistr('\000a')||
'    '||unistr('\000a')||
'      for i in 1 .. pi_tab_gps_marker.count loop'||unistr('\000a')||
'        l_row := l_row + 1;'||unistr('\000a')||
'        if l_row = 1 then'||unistr('\000a')||
'          l_return := l_return || ''{"marker":['' || chr(10);'||unistr('\000a')||
'        else'||unistr('\000a')||
'          l_return := l_return || '','' || chr(10);'||unistr('\000a')||
'        end if;'||unistr('\000a')||
'        l_rec_gps := pi_tab_gps_marker(i);'||unistr('\000a')||
'        l_rec_gps.img := replace(l_rec_gps.img, chr(35) ||''WORKSPACE_IMAGES#'', v(''WORKSPACE_'||
'IMAGES''));'||unistr('\000a')||
'        l_rec_gps.img := replace(l_rec_gps.img, chr(35) ||''APPLICATION_IMAGES#'', v(''APPLICATION_IMAGES''));'||unistr('\000a')||
'      '||unistr('\000a')||
'        l_return := l_return || ''{'' || ''"name": "'' || l_rec_gps.name ||'||unistr('\000a')||
'                    ''", "lat": '' || l_rec_gps.lat || '', "lng": '' ||'||unistr('\000a')||
'                    l_rec_gps.lng || '', "img": "'' || l_rec_gps.img || ''"'' || ''}'';'||unistr('\000a')||
'      '||unistr('\000a')||
'      end loop;'||unistr('\000a')||
'    '||unistr('\000a')||
'      if l_row > 0 then'||unistr('\000a')||
' '||
'       l_return := l_return || '']}'';'||unistr('\000a')||
'      end if;'||unistr('\000a')||
'    '||unistr('\000a')||
'      l_return := ''{"gps":['' || chr(10) || l_return || chr(10) || '']}'';'||unistr('\000a')||
'    '||unistr('\000a')||
'      return(l_return);'||unistr('\000a')||
'    '||unistr('\000a')||
'end;'||unistr('\000a')||
''||unistr('\000a')||
'/*-------------------------------------------------------'||unistr('\000a')||
' * MultiMarkerMap (Region Plugin) Callback Function for rendering'||unistr('\000a')||
' * Version: 1.0 (19.11.2014)'||unistr('\000a')||
' * Author:  S. Armbruster'||unistr('\000a')||
' * Requires: org.armbruster-it.apex.plugin.multimap.j'||
's'||unistr('\000a')||
' *-------------------------------------------------------'||unistr('\000a')||
' */'||unistr('\000a')||
'function render_multimap_region(p_region              in apex_plugin.t_region,'||unistr('\000a')||
'                                p_plugin              in apex_plugin.t_plugin,'||unistr('\000a')||
'                                p_is_printer_friendly in boolean)'||unistr('\000a')||
'  return apex_plugin.t_region_render_result IS'||unistr('\000a')||
'  l_html_string   varchar2(32767);'||unistr('\000a')||
'  l_map_width     number;'||unistr('\000a')||
'  l_'||
'map_height    number;'||unistr('\000a')||
'  l_map_zoom      number;'||unistr('\000a')||
'  l_map_id        varchar2(100);'||unistr('\000a')||
'  l_marker_icon   varchar2(1000);'||unistr('\000a')||
'  l_map_type      varchar2(100);'||unistr('\000a')||
'  l_debug         boolean;'||unistr('\000a')||
'  l_locations     varchar2(32000);'||unistr('\000a')||
'  l_result        APEX_PLUGIN.t_region_render_result;'||unistr('\000a')||
'  l_onload_string varchar2(32767);'||unistr('\000a')||
'  -- Variables for the dynamic SQL'||unistr('\000a')||
'  type t_cursor IS REF CURSOR;'||unistr('\000a')||
'  c_cursor  t_cursor;'||unistr('\000a')||
'  l_sql     v'||
'archar2(3000);'||unistr('\000a')||
'  l_rec_gps t_rec_gps_pos;'||unistr('\000a')||
''||unistr('\000a')||
'  l_tab_gps t_tab_gps_pos;'||unistr('\000a')||
'  l_index   number := 0;'||unistr('\000a')||
'  -- to determine the center of the map'||unistr('\000a')||
'  l_lat_avg number := 0;'||unistr('\000a')||
'  l_lng_avg number := 0;'||unistr('\000a')||
''||unistr('\000a')||
'begin'||unistr('\000a')||
'  l_map_width   := p_region.attribute_01;'||unistr('\000a')||
'  l_map_height  := p_region.attribute_02;'||unistr('\000a')||
'  l_map_zoom    := p_region.attribute_03;'||unistr('\000a')||
'  l_map_id      := p_region.attribute_04 || ''_'' || p_region.name;'||unistr('\000a')||
'  l_marker_icon '||
':= p_region.attribute_05;'||unistr('\000a')||
'  l_map_type    := p_region.attribute_06;'||unistr('\000a')||
'  l_debug       := nvl(p_region.attribute_07, ''N'') = ''Y'';'||unistr('\000a')||
''||unistr('\000a')||
'  -- get the SQL out of the region source and create a cursor with it'||unistr('\000a')||
'  l_sql := p_region.source;'||unistr('\000a')||
'  open c_cursor for l_sql;'||unistr('\000a')||
''||unistr('\000a')||
'  -- loop through all locations and store it in the collection'||unistr('\000a')||
'  loop'||unistr('\000a')||
'    fetch c_cursor'||unistr('\000a')||
'      into l_rec_gps;'||unistr('\000a')||
'    exit when c_cursor%NOTFOUND;'||unistr('\000a')||
'   '||
' '||unistr('\000a')||
'    -- build the sum of the lat/lng to get the center of the map'||unistr('\000a')||
'    l_lat_avg := l_lat_avg + l_rec_gps.lat;'||unistr('\000a')||
'    l_lng_avg := l_lng_avg + l_rec_gps.lng;'||unistr('\000a')||
'  '||unistr('\000a')||
'    l_index := l_index + 1;'||unistr('\000a')||
'    -- put each marker into the collection'||unistr('\000a')||
'    l_tab_gps(l_index) := l_rec_gps;'||unistr('\000a')||
'  '||unistr('\000a')||
'  end loop;'||unistr('\000a')||
''||unistr('\000a')||
'  -- if at least one record found, the compute the average for the alignment of the map'||unistr('\000a')||
'  if l_index > 0 then'||unistr('\000a')||
'    l_la'||
't_avg := l_lat_avg / l_index;'||unistr('\000a')||
'    l_lng_avg := l_lng_avg / l_index;'||unistr('\000a')||
'  '||unistr('\000a')||
'    -- put the average position into the first parameter for the alignment of the map (parameter 1) of'||unistr('\000a')||
'    -- the function get_multimarker_json_string'||unistr('\000a')||
'    l_rec_gps.lat  := l_lat_avg;'||unistr('\000a')||
'    l_rec_gps.lng  := l_lng_avg;'||unistr('\000a')||
'    l_rec_gps.name := ''XXX'';  -- name doesn''t matter for the align record'||unistr('\000a')||
'    '||unistr('\000a')||
'    -- get the JSON string with t'||
'he marker positions to pass it to the JS function'||unistr('\000a')||
'    l_locations := get_multimarker_json_string(l_rec_gps, l_tab_gps);'||unistr('\000a')||
'  '||unistr('\000a')||
'  end if;'||unistr('\000a')||
''||unistr('\000a')||
'  -- Close cursor:'||unistr('\000a')||
'  CLOSE c_cursor;'||unistr('\000a')||
''||unistr('\000a')||
'  -- if the collection is empty, don''t show any map'||unistr('\000a')||
'  if (l_locations is null) then'||unistr('\000a')||
'    return(l_result);'||unistr('\000a')||
'  end if;'||unistr('\000a')||
''||unistr('\000a')||
'  -- Include Google Library '||unistr('\000a')||
'  APEX_JAVASCRIPT.add_library(p_name           => ''https://maps.googleapis.com/map'||
's/api/js?v=3.exp'','||unistr('\000a')||
'                              p_directory      => NULL,'||unistr('\000a')||
'                              p_version        => NULL,'||unistr('\000a')||
'                              p_skip_extension => TRUE);'||unistr('\000a')||
''||unistr('\000a')||
'  -- Include the Core JS Library'||unistr('\000a')||
'  APEX_JAVASCRIPT.add_library(p_name           => ''itstar.core'','||unistr('\000a')||
'                              p_directory      => p_plugin.file_prefix,'||unistr('\000a')||
'                              p_version  '||
'      => NULL,'||unistr('\000a')||
'                              p_skip_extension => FALSE);'||unistr('\000a')||
''||unistr('\000a')||
'  -- Include the multi-marker-map JS Library'||unistr('\000a')||
'  APEX_JAVASCRIPT.add_library(p_name           => ''itstar.apex.plugins.googleMap'','||unistr('\000a')||
'                              p_directory      => p_plugin.file_prefix,'||unistr('\000a')||
'                              p_version        => NULL,'||unistr('\000a')||
'                              p_skip_extension => FALSE);'||unistr('\000a')||
''||unistr('\000a')||
'  --'||unistr('\000a')||
'  -- i'||
'n Debug-Mode show the JSON String '||unistr('\000a')||
'  if l_debug then'||unistr('\000a')||
' '||unistr('\000a')||
'    l_html_string := ''<textarea id="'' || p_region.name ||'||unistr('\000a')||
'                     ''" class="textarea" wrap="virtual" maxlength="50" cols="50" rows="5">'' ||'||unistr('\000a')||
'                     htf.escape_sc(l_locations) || ''</textarea>'';'||unistr('\000a')||
'    sys.htp.prn(l_html_string);'||unistr('\000a')||
'  '||unistr('\000a')||
'  end if;'||unistr('\000a')||
'  --'||unistr('\000a')||
'  l_html_string := ''<div style="width:'' || l_map_width || ''px;height:'' ||'||unistr('\000a')||
'  '||
'                 l_map_height || ''px;" id="'' || l_map_id || ''"> </div>'';'||unistr('\000a')||
'  SYS.HTP.PRN(l_html_string);'||unistr('\000a')||
''||unistr('\000a')||
'  l_onload_string := ''itstar.apex.plugins.googleMap.displayMap("'' || p_region.name || ''", '' || ''{'' ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''map_width'','||unistr('\000a')||
'                                                   p_value     => l_map_width,'||unistr('\000a')||
'                                    '||
'               p_add_comma => TRUE) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''map_height'','||unistr('\000a')||
'                                                   p_value     => l_map_height,'||unistr('\000a')||
'                                                   p_add_comma => TRUE) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''map_zoom'','||unistr('\000a')||
'                                                '||
'   p_value     => l_map_zoom,'||unistr('\000a')||
'                                                   p_add_comma => TRUE) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''map_id'','||unistr('\000a')||
'                                                   p_value     => l_map_id,'||unistr('\000a')||
'                                                   p_add_comma => TRUE) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''m'||
'ap_locations'','||unistr('\000a')||
'                                                   p_value     => l_locations,'||unistr('\000a')||
'                                                   p_add_comma => TRUE) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''marker_icon'','||unistr('\000a')||
'                                                   p_value     => l_marker_icon,'||unistr('\000a')||
'                                                   p_add_comma => TRU'||
'E) ||'||unistr('\000a')||
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''map_type'','||unistr('\000a')||
'                                                   p_value     => l_map_type,'||unistr('\000a')||
'                                                   p_add_comma => TRUE) ||'||unistr('\000a')||
'                     ''});'';'||unistr('\000a')||
''||unistr('\000a')||
'  --'||unistr('\000a')||
'  apex_javascript.add_onload_code(p_code => l_onload_string);'||unistr('\000a')||
'  --'||unistr('\000a')||
''||unistr('\000a')||
'  return(l_result);'||unistr('\000a')||
''||unistr('\000a')||
'end;'||unistr('\000a')||
''||unistr('\000a')||
''
 ,p_render_function => 'render_multimap_region'
 ,p_standard_attributes => 'SOURCE_SQL:SOURCE_REQUIRED'
 ,p_sql_min_column_count => 1
 ,p_sql_examples => 'select ''Name'' as name, '||unistr('\000a')||
'       ''48'' as lat, '||unistr('\000a')||
'       ''12'' as lng, '||unistr('\000a')||
'       null as img '||unistr('\000a')||
'from dual;'
 ,p_substitute_attributes => true
 ,p_subscribe_plugin_settings => true
 ,p_version_identifier => '1.0'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7568211961872454 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Width'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => false
 ,p_default_value => '400'
 ,p_display_length => 10
 ,p_max_length => 10
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7568531574878609 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Height'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => false
 ,p_default_value => '400'
 ,p_display_length => 10
 ,p_max_length => 10
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7568825104881595 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Zoom'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => false
 ,p_default_value => '10'
 ,p_display_length => 10
 ,p_max_length => 10
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7569110223888423 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Map-ID'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'RMAP'
 ,p_display_length => 10
 ,p_max_length => 10
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7569405910890446 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Marker Icon'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 40
 ,p_max_length => 200
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7569731992893570 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 6
 ,p_display_sequence => 60
 ,p_prompt => 'Map Type'
 ,p_attribute_type => 'SELECT LIST'
 ,p_is_required => false
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 7570029189894828 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 7569731992893570 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 10
 ,p_display_value => 'Road'
 ,p_return_value => 'ROAD'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 7570427248895794 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 7569731992893570 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 20
 ,p_display_value => 'Terrain'
 ,p_return_value => 'TERRAIN'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 7570825523896581 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 7569731992893570 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 30
 ,p_display_value => 'Hybrid'
 ,p_return_value => 'HYBRID'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 7571211505903024 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 7569731992893570 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 40
 ,p_display_value => 'Satelite'
 ,p_return_value => 'SATELLITE'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 7571832411908527 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 7
 ,p_display_sequence => 70
 ,p_prompt => 'Debug'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A206974737461722E617065782E706C7567696E732E676F6F676C654D6170730D0A202A204A617661736372697074204C69627261727920776974682074686520696D706C656D656E746174696F6E20666F7220746865204150455820506C7567696E';
wwv_flow_api.g_varchar2_table(2) := '204D756C74692D4D61726B65722D4D61700D0A202A20417574686F723A2053746566616E2041726D6272757374657220287777772E61726D627275737465722D69742E6F7267290D0A202A20446174653A2032372E31302E323031340D0A202A20566572';
wwv_flow_api.g_varchar2_table(3) := '73696F6E20312E330D0A202A2052657175697265733A206974737461722E636F72652E6A730D0A202A20202020202020202020206A51756572790D0A202A0D0A202A2F0D0A0D0A6974737461722E617065782E706C7567696E732E676F6F676C654D6170';
wwv_flow_api.g_varchar2_table(4) := '2E646973706C61794D6170203D2066756E6374696F6E28704974656D49442C2070506172616D6574657229207B0D0A2020766172206C506172616D65746572203D20617065782E6A51756572792E657874656E64287B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(5) := '202020202020202020206D61705F77696474683A203634302C0D0A202020202020202020202020202020202020202020206D61705F6865696768743A203438302C0D0A090909090920206D61705F7A6F6F6D3A2031322C0D0A090909090920206D61705F';
wwv_flow_api.g_varchar2_table(6) := '69643A20704974656D4944202B20225F4D4150222C0D0A090909090920206D61705F6C6F636174696F6E733A2022222C0D0A090909090920206D61726B65725F69636F6E3A2022222C0D0A090909090920206D61705F747970653A2022524F4144220D0A';
wwv_flow_api.g_varchar2_table(7) := '090909090920207D2C2070506172616D65746572293B0D0A0D0A090D0A200D0A202069662028216C506172616D657465722E6D61705F6C6F636174696F6E7329207B0D0A2020202072657475726E3B0D0A20207D0D0A20200D0A20202F2A20436F6E7665';
wwv_flow_api.g_varchar2_table(8) := '727420746865204A534F4E20537472696E6720696E746F20616E204F626A656B74202A2F20200D0A2020766172206F4C6F636174696F6E73203D204A534F4E2E7061727365286C506172616D657465722E6D61705F6C6F636174696F6E73293B0D0A0D0A';
wwv_flow_api.g_varchar2_table(9) := '20202F2A20436865636B2074686520616C6C20706172616D657465727320746F2067657420746865206F7074696F6E7320666F7220746865206D6170202A2F0D0A20202F2A20312E20746865204A534F4E20537472696E67206D75737420636F6E746169';
wwv_flow_api.g_varchar2_table(10) := '6E207468652032206F626A656374732022626173652220616E6420226D61726B657222202A2F0D0A2020696620284F626A6563742E6B657973286F4C6F636174696F6E732E677073292E6C656E67746820213D203229207B0D0A20202020616C65727428';
wwv_flow_api.g_varchar2_table(11) := '224750532D4A534F4E204F626A656374206E6F742076616C69642022293B0D0A2020202072657475726E3B0D0A20207D0D0A0D0A20202F2A20322E20676574207468652062617365206B6F6F7264696E6174657320746F2063656E74657220746865206D';
wwv_flow_api.g_varchar2_table(12) := '617020746F2074686520706F696E7420676976656E20696E2074686520706172616D65746572206C506172616D657465722E626173655F6C6F636174696F6E20202A2F0D0A2020766172206C426173654C6174203D206F4C6F636174696F6E732E677073';
wwv_flow_api.g_varchar2_table(13) := '5B305D2E626173655B305D2E6C61743B0D0A2020766172206C426173654C6E67203D206F4C6F636174696F6E732E6770735B305D2E626173655B305D2E6C6E673B0D0A2020766172206C426173654C61744C6E67203D206E657720676F6F676C652E6D61';
wwv_flow_api.g_varchar2_table(14) := '70732E4C61744C6E67286C426173654C61742C206C426173654C6E67293B0D0A20200D0A20202F2A20332E20696620746865726520697320616E20696E646976696475656C6C207A6F6F6D20666163746F722077697468696E20746865204A534F4E2073';
wwv_flow_api.g_varchar2_table(15) := '7472696E672C20757365206974202A2F0D0A2020766172206C5A6F6F6D203D206F4C6F636174696F6E732E6770735B305D2E626173655B305D2E7A6F6F6D3B0D0A20202F2A206966206E6F742C2075736520746865207A6F6F6D20706172616D65746572';
wwv_flow_api.g_varchar2_table(16) := '202A2F0D0A202069662028216C5A6F6F6D29207B0D0A202020206C5A6F6F6D203D206C506172616D657465722E6D61705F7A6F6F6D3B0D0A20207D0D0A0D0A20202F2A20342E20636865636B20666F7220696E646976696475656C6C206D617020747970';
wwv_flow_api.g_varchar2_table(17) := '65202A2F0D0A2020766172206C4D617054797065203D206F4C6F636174696F6E732E6770735B305D2E626173655B305D2E747970653B0D0A202069662028216C4D61705479706529207B0D0A202020206C4D617054797065203D206C506172616D657465';
wwv_flow_api.g_varchar2_table(18) := '722E6D61705F747970653B0D0A20207D0D0A202073776974636820286C4D61705479706529207B0D0A20202020636173652022524F4144223A0D0A09202076617220634D617054797065203D20676F6F676C652E6D6170732E4D61705479706549642E52';
wwv_flow_api.g_varchar2_table(19) := '4F41444D41503B0D0A092020627265616B3B0D0A09636173652022485942524944223A0D0A09202076617220634D617054797065203D20676F6F676C652E6D6170732E4D61705479706549642E4859425249443B0D0A092020627265616B3B0D0A096361';
wwv_flow_api.g_varchar2_table(20) := '73652022534154454C4C495445223A0D0A09202076617220634D617054797065203D20676F6F676C652E6D6170732E4D61705479706549642E534154454C4C4954453B0D0A092020627265616B3B0D0A096361736520225445525241494E223A0D0A0920';
wwv_flow_api.g_varchar2_table(21) := '2076617220634D617054797065203D20676F6F676C652E6D6170732E4D61705479706549642E5445525241494E3B0D0A092020627265616B3B0D0A2020202064656661756C743A0D0A09202076617220634D617054797065203D20676F6F676C652E6D61';
wwv_flow_api.g_varchar2_table(22) := '70732E4D61705479706549642E524F41444D41503B0D0A092020627265616B3B0D0A20207D0D0A090D0A090D0A20200D0A20202F2A20446973706C617920746865206D6170202A2F20200D0A2020766172206C4D61704F7074696F6E73203D207B0D0A20';
wwv_flow_api.g_varchar2_table(23) := '2020207A6F6F6D3A206C5A6F6F6D2C0D0A2020202063656E7465723A206C426173654C61744C6E672C0D0A096D61705479706549643A20634D6170547970650D0A20207D0D0A20200D0A2020766172206C4D6170203D206E657720676F6F676C652E6D61';
wwv_flow_api.g_varchar2_table(24) := '70732E4D6170280D0A20202020646F63756D656E742E676574456C656D656E7442794964286C506172616D657465722E6D61705F6964292C0D0A202020206C4D61704F7074696F6E730D0A2020293B0D0A0D0A200D0A20202F2A2070757420746865206D';
wwv_flow_api.g_varchar2_table(25) := '61726B657273202A2F0D0A2020766172206C4D61726B6572436F756E74203D204F626A6563742E6B657973286F4C6F636174696F6E732E6770735B315D2E6D61726B6572292E6C656E6774683B0D0A20200D0A202076617220696E666F77696E646F7720';
wwv_flow_api.g_varchar2_table(26) := '3D206E657720676F6F676C652E6D6170732E496E666F57696E646F7728293B0D0A0D0A0D0A2020666F72202876617220693D303B20693C6C4D61726B6572436F756E743B20692B2B29207B0D0A20202020766172206F4D61726B65724C6F636174696F6E';
wwv_flow_api.g_varchar2_table(27) := '203D206F4C6F636174696F6E732E6770735B315D2E6D61726B65725B695D3B0D0A09766172206C4C6174203D206F4D61726B65724C6F636174696F6E2E6C61743B0D0A09766172206C4C6E67203D206F4D61726B65724C6F636174696F6E2E6C6E673B0D';
wwv_flow_api.g_varchar2_table(28) := '0A090D0A092F2A206E6577204D61726B657220506F736974696F6E202A2F0D0A20202020766172206C4D61726B6572203D206E657720676F6F676C652E6D6170732E4D61726B6572287B0D0A2020202020202020706F736974696F6E3A206E657720676F';
wwv_flow_api.g_varchar2_table(29) := '6F676C652E6D6170732E4C61744C6E67286C4C61742C206C4C6E67292C0D0A0909616E696D6174696F6E3A20676F6F676C652E6D6170732E416E696D6174696F6E2E44524F502C0D0A20202020202020206D61703A206C4D61700D0A2020202020207D29';
wwv_flow_api.g_varchar2_table(30) := '3B0D0A0920200D0A202020202F2A20636865636B20637573746F6D204D61726B657220496D61676520696E2047505320446174612A2F0D0A09766172206C477073496D67203D206F4D61726B65724C6F636174696F6E2E696D673B0D0A09766172206C50';
wwv_flow_api.g_varchar2_table(31) := '6172496D67203D206C506172616D657465722E6D61726B65725F69636F6E3B0D0A090D0A09696620286C477073496D67202626206C477073496D672E6C656E67746820213D203029207B0D0A09202020766172206C4D61726B6572496D616765203D206E';
wwv_flow_api.g_varchar2_table(32) := '657720676F6F676C652E6D6170732E4D61726B6572496D616765286C477073496D67293B0D0A097D200D0A09656C7365207B0D0A092020202F2A206E6F20637573746F6D20696D61676520696E20475053206461746120627574206D6179626520696E20';
wwv_flow_api.g_varchar2_table(33) := '74686520706172616D65746572733F202A2F0D0A09202020696620286C506172496D67202626206C506172496D672E6C656E67746820213D203029207B0D0A20202020202020202020766172206C4D61726B6572496D616765203D206E657720676F6F67';
wwv_flow_api.g_varchar2_table(34) := '6C652E6D6170732E4D61726B6572496D616765286C506172496D67293B0D0A09097D20656C7365207B0D0A090920206C4D61726B6572496D616765203D2022223B0D0A09097D0D0A097D0D0A09696620286C4D61726B6572496D616765202626206C4D61';
wwv_flow_api.g_varchar2_table(35) := '726B6572496D6167652E6C656E67746820213D203029207B0D0A202020202020206C4D61726B65722E73657449636F6E286C4D61726B6572496D616765293B0D0A097D0D0A092020202020200D0A092F2A20200D0A09696620286C496D67202626206C49';
wwv_flow_api.g_varchar2_table(36) := '6D672E6C656E67746820213D203029207B0D0A09202020766172206C496D616765203D206E657720676F6F676C652E6D6170732E4D61726B6572496D616765286C496D67293B0D0A202020202020206C4D61726B65722E73657449636F6E286C496D6167';
wwv_flow_api.g_varchar2_table(37) := '65293B0D0A097D20656C7365207B0D0A20202020202020696620286C506172616D657465722E6D61726B65725F69636F6E2E6C656E67746820213D203029207B0D0A20202020202020202020766172206C496D616765203D206E657720676F6F676C652E';
wwv_flow_api.g_varchar2_table(38) := '6D6170732E4D61726B6572496D616765286C506172616D657465722E6D61726B65725F69636F6E293B0D0A092020202020206C4D61726B65722E73657449636F6E286C496D616765293B0D0A202020202020207D0D0A097D0D0A202020202A2F0D0A090D';
wwv_flow_api.g_varchar2_table(39) := '0A20202020676F6F676C652E6D6170732E6576656E742E6164644C697374656E6572286C4D61726B65722C2027636C69636B272C202866756E6374696F6E286C4D61726B65722C206929207B0D0A202020202020202072657475726E2066756E6374696F';
wwv_flow_api.g_varchar2_table(40) := '6E2829207B0D0A20202020202020202020696E666F77696E646F772E736574436F6E74656E74286F4C6F636174696F6E732E6770735B315D2E6D61726B65725B695D2E6E616D65293B0D0A20202020202020202020696E666F77696E646F772E6F70656E';
wwv_flow_api.g_varchar2_table(41) := '286C4D61702C206C4D61726B6572293B0D0A20202020202020207D0D0A2020202020207D29286C4D61726B65722C206929293B0D0A0D0A20207D0D0A7D20';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 7803118813975720 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_file_name => 'itstar.apex.plugins.googleMap.js'
 ,p_mime_type => 'application/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A206974737461722E636F72652E6A733A0D0A202A204A617661536372697074204C696272617279207769746820616C6C206465636C61726174696F6E73206F6620616C6C2066756E6374696F6E73206F662074686520697473746172204A53204C69';
wwv_flow_api.g_varchar2_table(2) := '627261726965730D0A202A20417574686F723A2053746566616E2041726D6272757374657220287777772E61726D627275737465722D69742E6F7267290D0A202A20446174653A2031332E31312E323031340D0A202A2056657273696F6E20312E300D0A';
wwv_flow_api.g_varchar2_table(3) := '202A0D0A202A2F0D0A2076617220697473746172203D207B0D0A2020207574696C733A207B0D0A2020202020202069734E756D6265723A2066756E6374696F6E286E29207B7D2C0D0A202020202020206973436861723A2066756E6374696F6E28632920';
wwv_flow_api.g_varchar2_table(4) := '7B7D0D0A092020207D2C0D0A202020617065783A207B0D0A202020202020706C7567696E733A207B0D0A092020202020676F6F676C654D61703A207B0D0A090920202020646973706C61794D61703A2066756E6374696F6E28704974656D49442C207050';
wwv_flow_api.g_varchar2_table(5) := '6172616D6574657229207B7D0D0A0909207D2C0D0A090920736C696465723A207B0D0A090909736C696465723A2066756E6374696F6E2870536C696465724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E7329';
wwv_flow_api.g_varchar2_table(6) := '207B7D2C0D0A0909202020206368616E676556616C75653A2066756E6374696F6E202870536C696465724974656D4E616D652C20704974656D4E616D6529207B7D0D0A0909207D2C0D0A090920726573747269637465644974656D3A207B0D0A09092020';
wwv_flow_api.g_varchar2_table(7) := '2076616C69646174653A2066756E6374696F6E2028705F6974656D2C20705F747970652C20705F636861727329207B7D0D0A0909207D0D0A0920207D0D0A2020207D2020200D0A7D3B0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 7803818176976618 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 7567502615436182 + wwv_flow_api.g_id_offset
 ,p_file_name => 'itstar.core.js'
 ,p_mime_type => 'application/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
